<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

if ( ! bridal_jewelry_store_has_page_header() ) {
    return;
}

$bridal_jewelry_store_classes = array( 'page-header' );
$bridal_jewelry_store_style = bridal_jewelry_store_page_header_style();

if ( $bridal_jewelry_store_style ) {
    $bridal_jewelry_store_classes[] = $bridal_jewelry_store_style . '-page-header';
}

$bridal_jewelry_store_visibility = get_theme_mod( 'bridal_jewelry_store_page_header_visibility', 'all-devices' );

if ( 'hide-all-devices' === $bridal_jewelry_store_visibility ) {
    // Don't show the header at all
    return;
}

if ( 'hide-tablet' === $bridal_jewelry_store_visibility ) {
    $bridal_jewelry_store_classes[] = 'hide-on-tablet';
} elseif ( 'hide-mobile' === $bridal_jewelry_store_visibility ) {
    $bridal_jewelry_store_classes[] = 'hide-on-mobile';
} elseif ( 'hide-tablet-mobile' === $bridal_jewelry_store_visibility ) {
    $bridal_jewelry_store_classes[] = 'hide-on-tablet-mobile';
}

$bridal_jewelry_store_PAGE_TITLE_background_color = get_theme_mod('bridal_jewelry_store_page_title_background_color_setting', '');

// Get the toggle switch value
$bridal_jewelry_store_background_image_enabled = get_theme_mod('bridal_jewelry_store_page_header_style', true);

// Add background image to the header if enabled
$bridal_jewelry_store_background_image = get_theme_mod( 'bridal_jewelry_store_page_header_background_image', '' );
$bridal_jewelry_store_background_height = get_theme_mod( 'bridal_jewelry_store_page_header_image_height', '200' );
$bridal_jewelry_store_inline_style = '';

if ( $bridal_jewelry_store_background_image_enabled && ! empty( $bridal_jewelry_store_background_image ) ) {
    $bridal_jewelry_store_inline_style .= 'background-image: url(' . esc_url( $bridal_jewelry_store_background_image ) . '); ';
    $bridal_jewelry_store_inline_style .= 'height: ' . esc_attr( $bridal_jewelry_store_background_height ) . 'px; ';
    $bridal_jewelry_store_inline_style .= 'background-size: cover; ';
    $bridal_jewelry_store_inline_style .= 'background-position: center center; ';

    // Add the unique class if the background image is set
    $bridal_jewelry_store_classes[] = 'has-background-image';
}

$bridal_jewelry_store_classes = implode( ' ', $bridal_jewelry_store_classes );
$bridal_jewelry_store_heading = get_theme_mod( 'bridal_jewelry_store_page_header_heading_tag', 'h1' );
$bridal_jewelry_store_heading = apply_filters( 'bridal_jewelry_store_page_header_heading', $bridal_jewelry_store_heading );

?>

<?php do_action( 'bridal_jewelry_store_before_page_header' ); ?>

<header class="<?php echo esc_attr( $bridal_jewelry_store_classes ); ?>" style="<?php echo esc_attr( $bridal_jewelry_store_inline_style ); ?> background-color: <?php echo esc_attr($bridal_jewelry_store_PAGE_TITLE_background_color); ?>;">

    <?php do_action( 'bridal_jewelry_store_before_page_header_inner' ); ?>

    <div class="asterthemes-wrapper page-header-inner">

        <?php if ( bridal_jewelry_store_has_page_header() ) : ?>

            <<?php echo esc_attr( $bridal_jewelry_store_heading ); ?> class="page-header-title">
                <?php echo wp_kses_post( bridal_jewelry_store_get_page_title() ); ?>
            </<?php echo esc_attr( $bridal_jewelry_store_heading ); ?>>

        <?php endif; ?>

        <?php if ( function_exists( 'bridal_jewelry_store_breadcrumb' ) ) : ?>
            <?php bridal_jewelry_store_breadcrumb(); ?>
        <?php endif; ?>

    </div><!-- .page-header-inner -->

    <?php do_action( 'bridal_jewelry_store_after_page_header_inner' ); ?>

</header><!-- .page-header -->

<?php do_action( 'bridal_jewelry_store_after_page_header' ); ?>